Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.client.delegate
Class ClientConsumerDelegate

    java.lang.Object
      org.jboss.jms.client.delegate.DelegateSupport
          org.jboss.jms.client.delegate.ClientConsumerDelegate

All Implemented Interfaces:
  Closeable, ConsumerDelegate, ConsumerEndpoint, java.io.Serializable

public class ClientConsumerDelegate
extends DelegateSupport
implements ConsumerDelegate

The client-side Consumer delegate class.

Version:
  `$Revision: 1.11 $` $Id: ClientConsumerDelegate.java,v 1.11 2006/03/28 14:26:15 timfox Exp $
Author:
  Tim Fox, Ovidiu Feodorov
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.jms.client.delegate.DelegateSupport
`id, state`

Constructor Summary
`ClientConsumerDelegate()`
`ClientConsumerDelegate(int objectID)`

Method Summary
`void` | `activate()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `cancelDeliveries(java.util.List ids)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `cancelDelivery(long messageID)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `close()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `closing()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`long` | `deactivate()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`protected Client` | `getClient()`
`JBossDestination` | `getDestination()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`MessageListener` | `getMessageListener()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`MessageProxy` | `getMessageNow(boolean wait)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`java.lang.String` | `getMessageSelector()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`boolean` | `getNoLocal()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `init()` Add Invoking interceptor and prepare the stack for invocations.
`Message` | `receive(long timeout)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `setMessageListener(MessageListener listener)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.jms.client.delegate.DelegateSupport
`getID, getMetaData, getName, getState, invoke, setState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClientConsumerDelegate

    public ClientConsumerDelegate(int objectID)

### ClientConsumerDelegate

    public ClientConsumerDelegate()

Method Detail

### activate

    public void activate()
                  throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `activate` in interface `ConsumerEndpoint`
  Throws:
    `JMSException`

### cancelDelivery

    public void cancelDelivery(long messageID)
                        throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `cancelDelivery` in interface `ConsumerEndpoint`
  Throws:
    `JMSException`

### cancelDeliveries

    public void cancelDeliveries(java.util.List ids)
                          throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `cancelDeliveries` in interface `ConsumerEndpoint`
  Throws:
    `JMSException`

### close

    public void close()
               throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `JMSException`

### closing

    public void closing()
                 throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `closing` in interface `Closeable`
  Throws:
    `JMSException`

### deactivate

    public long deactivate()
                    throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `deactivate` in interface `ConsumerEndpoint`
  Returns:
    the last message ID delivered to the client consumer
  Throws:
    `JMSException`

### getMessageListener

    public MessageListener getMessageListener()

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `getMessageListener` in interface `ConsumerDelegate`

### getMessageNow

    public MessageProxy getMessageNow(boolean wait)
                               throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `getMessageNow` in interface `ConsumerEndpoint`
  Throws:
    `JMSException`

### receive

    public Message receive(long timeout)
                    throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `receive` in interface `ConsumerDelegate`
  Throws:
    `JMSException`

### setMessageListener

    public void setMessageListener(MessageListener listener)

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `setMessageListener` in interface `ConsumerDelegate`

### getNoLocal

    public boolean getNoLocal()

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `getNoLocal` in interface `ConsumerDelegate`

### getDestination

    public JBossDestination getDestination()

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `getDestination` in interface `ConsumerDelegate`

### getMessageSelector

    public java.lang.String getMessageSelector()

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `getMessageSelector` in interface `ConsumerDelegate`

### init

    public void init()

  Description copied from class: `DelegateSupport`
  Add Invoking interceptor and prepare the stack for invocations.

  Overrides:
    `init` in class `DelegateSupport`

### toString

    public java.lang.String toString()

### getClient

    protected Client getClient()

  Specified by:
    `getClient` in class `DelegateSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.